# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/gacutil /usr/bin/gapi2-codegen /usr/bin/gapi2-fixup /usr/bin/gtkdocize /usr/bin/mcs /usr/bin/mono /usr/bin/nunit-console gcc-c++ libcheck-devel
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define galagover 0.5.2

%define pkgconfigdir %_datadir/pkgconfig
%define monodir %_prefix/lib/mono
Summary:	Galago Mono bindings
Name:		galago-sharp
Version:	0.5.0
Release:	alt1_20
Source0:	http://galago-project.org/files/releases/source/galago-sharp/%{name}-%{version}.tar.bz2
Source1:	galago-sharp-0.5.0-dll.config
Source2:	libgalago-%galagover.tar.bz2
Patch:		galago-sharp-0.5.0-nunit.patch
Patch1:		galago-sharp-0.5.0-disable-tests.patch
Patch2:		galago-sharp-0.5.0-automake-1.13.patch
License:	LGPL
Group:		Development/Other
Url:		http://www.galago-project.org/
BuildRequires:	pkgconfig(libgalago) >= 0.5.0
BuildRequires:	pkgconfig(mono)
#gw only needed for the tests
#BuildRequires: dbus-sharp
BuildRequires:	pkgconfig(gapi-2.0) 
BuildRequires:	libgtk-sharp2
BuildRequires:	xsltproc
BuildRequires:	automake-common automake_1.14 automake_1.9
BuildArch:	noarch
Requires:	galago3 >= %galagover
%global __requires_exclude lib.*galago
Source44: import.info

%description
This are the Mono/.NET bindings for the Galago desktop presence framework.

%prep
%setup -q -a 2
cp %SOURCE1  galago-sharp.dll.config
%patch -p1
%patch1 -p1
%patch2 -p1 -b .automake113
autoreconf -fi
mv libgalago-%galagover sources/libgalago

%build
./configure --prefix=%_prefix --libdir=%_prefix/lib
%make_build

%check
make check

%install
%makeinstall_std pcdatadir=%pkgconfigdir
cp galago-sharp.dll.config %buildroot%monodir/gac/%name/*/

%files
%doc README ChangeLog AUTHORS NEWS
%monodir/%name
%monodir/gac/%name
%pkgconfigdir/%name.pc
%_datadir/gapi-2.0/galago-api.xml


%changelog
* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 0.5.0-alt1_20
- update by mgaimport

* Fri Apr 06 2018 Igor Vlasenko <viy@altlinux.ru> 0.5.0-alt1_19
- new version

